<?php

$texto = file_get_contents('php://input');
//nome da maquina
$tela = $_GET['tela'];
$pasta = 'validacoes_internas';
// Verifica se a pasta existe, se não existir, cria ela
if (!is_dir($pasta)) {
    mkdir($pasta, 0777, true); // 0777 = permissões totais | true = cria diretórios recursivamente
}
//criamos o arquivo
$caminhoArquivo = $pasta . '/' . $tela . '.json';
$arquivo = fopen($caminhoArquivo, 'w');
//verificamos se foi criado
if ($arquivo == false) die('Não foi possível criar o arquivo.');
//escrevemos no arquivo
fwrite($arquivo, $texto);
//Fechamos o arquivo após escrever nele
fclose($arquivo);
